Bug 199957 - RFE: print a dmeventd message to console when mirror monitoring is turned off
RFE: print a dmeventd message to console when mirror monitoring is turned off
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Milan Broz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-24 12:05 EDT by Corey Marthaler
Modified: 2013-02-28 23:04 EST (History)
5 users (show)

See Also:
Fixed In Version: RHEL4.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-28 01:55:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-07-24 12:05:04 EDT
Description of problem:
There is a message when mirror monitoring is turned on, likewise should happen
when it's turned off.
 
Jul 24 05:56:08 taft-04 dmeventd[4274]: Monitoring mirror device, vg-mirror for
events
Comment 1 Jonathan Earl Brassow 2006-11-27 18:36:02 EST
the crappy part about that is that the monitoring program may reconfigure the
mirror (in the event of a failure) before exiting itself, thus giving you
something like:

taft-04 dmeventd[4274]: Monitoring mirror device, vg-mirror for events
taft-04 dmeventd[4274]: Monitoring mirror device, vg-mirror for events
taft-04 dmeventd[4274]: Unmonitoring mirror device, vg-mirror for events

Just be careful when coding this, and be sure to test the failure scenario...
Comment 2 Milan Broz 2007-02-05 10:40:01 EST
There is some message already in mirror DSO

Feb  5 15:52:17 vmware199 dmeventd[18937]: Monitoring mirror device
vg_test-lv_test for events
Feb  5 15:52:27 vmware199 lvm[18937]: vg_test-lv_test is now in-sync
Feb  5 15:52:44 vmware199 lvm[18937]: No longer monitoring mirror device
vg_test-lv_test for events

Marking this bug as modified but I am not sure if this message is displayed
correctly in every cases (during reconfigurstion)...
Comment 3 Corey Marthaler 2007-04-23 15:55:51 EDT
The message is in there:

Apr 23 10:18:45 link-08 lvm[9886]: No longer monitoring mirror device VG-mirror
for events

Marking verified.

Note You need to log in before you can comment on or make changes to this bug.